Attribute VB_Name = "WeaponSystem"

Option Explicit

'Weapons
Public Const FireMode_Primary As Long = 0
Public Const FireMode_Secondary As Long = 1
Public Type Weapon
    Name As String
    ParticleType As Long
    ParticleSpeed As Single
    Recoil As Single
    ParticleDirectionDeviation(FireMode_Primary To FireMode_Secondary) As Single 'Poor aim from recoil and other effect
    SpawnDelay(FireMode_Primary To FireMode_Secondary) As Single
    SpawnCount As Long
    SpawnSound As Long
    Key As Long
End Type
Public Const MaxNumberOfWeapons As Long = 32
Public NumberOfWeapons As Long
Public Weapons(0 To MaxNumberOfWeapons - 1) As Weapon
Public Const ChangeWeaponDelay As Single = 0.1
